diff --git a/isisd/isis_spf.c b/isisd/isis_spf.c
index eed8546f3453..61128ad4b1d7 100644
--- a/isisd/isis_spf.c
+++ b/isisd/isis_spf.c
@@ -1451,6 +1451,9 @@ static void spf_adj_list_parse_lsp(struct isis_spftree *spftree,
 		}
 	}
 
+	if (LSP_FRAGMENT(lsp->hdr.lsp_id))
+		return;
+
 	/* Parse LSP fragments. */
 	for (ALL_LIST_ELEMENTS_RO(lsp->lspu.frags, node, frag)) {
 		if (!frag->tlvs)
